Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Interface ResourceNodeInfo

    public interface ResourceNodeInfo

Interface `ResourceNodeInfo` contains information of a resource node in the server.

Since:
  5.0

Field Summary
`static int` | `FALSE` Deprecated. As of version 6, it has not effective.
`static byte` | `NODE_FOLDER` Node type: folder
`static byte` | `NODE_RESOURCE` Node type: resource
`static byte` | `NODE_VERSION` Node type: version
`static byte` | `RESOURCE_CATALOG` Resource type: catalog
`static byte` | `RESOURCE_REPORT` Resource type: report
`static byte` | `RESOURCE_RESULT` Resource type: result
`static int` | `TRUE` Deprecated. As of version 6, it has not effective.
`static int` | `UNKNOWN` Deprecated. As of version 6, it has not effective.

Method Summary
`java.lang.String` | `getDescription()` Get the infomation which admin described for the node
`java.lang.String` | `getFmtName()` Deprecated. As of version 6, it has not effective.
`java.lang.String` | `getFullFmtName()` Deprecated. As of version 6, it has not effective.
`java.lang.String` | `getFullName()` Get the full name of the node
`java.lang.String` | `getName()` Get the node's name
`java.lang.String` | `getRealPath()` Get real path of the node.
`boolean` | `isCatalog()` Test if the node is a catalog.
`boolean` | `isDir()` Test if the node is a file system directory.
`boolean` | `isFile()` Test if the node is a file system file.
`boolean` | `isHidden()` Test if the node is unreachable.
`boolean` | `isMapSharedDisk()` Deprecated. As of version 6, it has not effective.
`boolean` | `isReachableOfSubNodes()` Deprecated. As of version 6, it has not effective.
`boolean` | `isReport()` Test if the node is a report.
`boolean` | `isResourceNode()` Deprecated. As of version 6, it has not effective.
`int` | `reachable()` Deprecated. As of version 6, it has not effective.

Field Detail

### UNKNOWN

    static final int UNKNOWN

  Deprecated. As of version 6, it has not effective.
  Reachable of subnodes: unknown.

  See Also:
    Constant Field Values

### TRUE

    static final int TRUE

  Deprecated. As of version 6, it has not effective.
  Reachable of subnodes: reachable.

  See Also:
    Constant Field Values

### FALSE

    static final int FALSE

  Deprecated. As of version 6, it has not effective.
  Reachable of subnodes: unreachable.

  See Also:
    Constant Field Values

### NODE_FOLDER

    static final byte NODE_FOLDER

  Node type: folder

  Since:
    version 6

### NODE_RESOURCE

    static final byte NODE_RESOURCE

  Node type: resource

  Since:
    version 6

### NODE_VERSION

    static final byte NODE_VERSION

  Node type: version

  Since:
    version 6

### RESOURCE_CATALOG

    static final byte RESOURCE_CATALOG

  Resource type: catalog

  Since:
    version 6

### RESOURCE_REPORT

    static final byte RESOURCE_REPORT

  Resource type: report

  Since:
    version 6

### RESOURCE_RESULT

    static final byte RESOURCE_RESULT

  Resource type: result

  Since:
    version 6

Method Detail

### isResourceNode

    boolean isResourceNode()

  Deprecated. As of version 6, it has not effective.

  Test if the node is a resource node of the server resource tree.

  Returns:
    if the node is a resource node of the server resource tree.

### isCatalog

    boolean isCatalog()

  Test if the node is a catalog.

  Returns:
    if the node is a catalog.

### isDir

    boolean isDir()

  Test if the node is a file system directory.

  Returns:
    if the node is a file system directory.

### isFile

    boolean isFile()

  Test if the node is a file system file.

  Returns:
    if the node is a file system file.

### isReport

    boolean isReport()

  Test if the node is a report.

  Returns:
    if the node is a report.

### isHidden

    boolean isHidden()

  Test if the node is unreachable.

  Returns:
    if the node is unreachable.

### getRealPath

    java.lang.String getRealPath()

  Get real path of the node. Resource Node only.

  Returns:
    the real path of specified node.

### isReachableOfSubNodes

    boolean isReachableOfSubNodes()

  Deprecated. As of version 6, it has not effective.

  Return if all its virtual directories and files are reachable. Resource node only.

  Returns:
    true if all its virtual directories and files are reachable.

### reachable

    int reachable()

  Deprecated. As of version 6, it has not effective.

  Get the node if reachable. Virtual node only.

  Returns:
    UNKNOWN: It cannot set to be reachable or not.
    TRUE: It is set to be reachable.
    FALSE: It is set to be not reachable.

### getName

    java.lang.String getName()

  Get the node's name

  Returns:
    the name of the node

### getFullName

    java.lang.String getFullName()

  Get the full name of the node

  Returns:
    the full name of the node

### getFmtName

    java.lang.String getFmtName()

  Deprecated. As of version 6, it has not effective.

  Get the formated name of the node

  Returns:
    the formated name of the node

### getFullFmtName

    java.lang.String getFullFmtName()

  Deprecated. As of version 6, it has not effective.

  Get the full formated name of the node

  Returns:
    the full formated name of the node

### getDescription

    java.lang.String getDescription()

  Get the infomation which admin described for the node

  Returns:
    nothing if admin did not add any information

### isMapSharedDisk

    boolean isMapSharedDisk()

  Deprecated. As of version 6, it has not effective.

  Test if the node map to a shared disk. Resource node only.

  Returns:
    if the node map to a shared disk

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD